%define fontdir         %{_datadir}/fonts/%{name}
%define fontconfdir     %{_sysconfdir}/fonts/conf.d

Name:      thaifonts-scalable
Version:   0.4.9
Release:   3%{?dist}
Summary:   A collection of scalable Thai fonts
Group:     User Interface/X
License:   GPLv2+
URL:       http://linux.thai.net/projects/thaifonts-scalable
Source:    ftp://linux.thai.net/pub/ThaiLinux/software/%{name}/%{name}-%{version}.tar.gz
BuildRequires: fontforge >= 20071110, ttmkfdir, xorg-x11-font-utils
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch: noarch

%description
This package collects scalable Thai fonts available in free licenses.
Thai scalable fonts included here are:
- Kinnari, Garuda and Norasi from the National Font project
- DB Thai Text from DearBook
- TlwgMono, PseudoMono, Purisa by TLWG


%prep
%setup -q


%build
%configure --with-ttfdir=%{fontdir} --enable-ttf=yes

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

install -d -m 0755 $RPM_BUILD_ROOT%{fontconfdir}
pushd $RPM_BUILD_ROOT%{fontconfdir}
ln -s ../conf.avail/*.conf .
popd


%clean
rm -rf $RPM_BUILD_ROOT


%post
if [ -x %{_bindir}/fc-cache ]; then
  %{_bindir}/fc-cache %{_datadir}/fonts
fi


%postun
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache %{_datadir}/fonts
  fi
fi


%files
%defattr(-,root,root,-)
%doc AUTHORS README COPYING NEWS
%dir %{fontdir}
%{fontdir}/*.ttf
%{fontdir}/fonts.dir
%{fontdir}/fonts.scale
%config %{_sysconfdir}/fonts/conf.avail/*-ttf-thai-*.conf
%config(noreplace) %{_sysconfdir}/fonts/conf.d/*-ttf-thai-*.conf


%changelog
* Fri Feb  8 2008 Jens Petersen <petersen@redhat.com> - 0.4.9-3
- couple more cleanups (Parag Nemade,#431829):
- use rm instead of /bin/rm
- use install -p

* Fri Feb  8 2008 Jens Petersen <petersen@redhat.com> - 0.4.9-2
- add buildrequires for ttmkfdir and xorg-x11-font-utils (Parag Nemade,#431829)

* Wed Feb  6 2008 Jens Petersen <petersen@redhat.com> - 0.4.9-1
- update to 0.4.9
- spec file cleanup

* Mon Jan 29 2007 Behdad Esfahbod <besfahbo@redhat.com> 0.4.4-1
- Initial package based on package by Theppitak Karoonboonyanan
  and Kamthorn Krairaksa for the OLPC.
